DROP TABLE IF EXISTS posts;
CREATE TABLE posts (
    id INTEGER NOT NULL PRIMARY KEY AUTO_INCREMENT,
    title VARCHAR(300),
    body TEXT NOT NULL,
    author VARCHAR(300) NOT NULL,
    created_at DATETIME NOT NULL
    );

DROP TABLE IF EXISTS comments;
CREATE TABLE comments (
    id INTEGER NOT NULL PRIMARY KEY AUTO_INCREMENT,
    body VARCHAR(300) NOT NULL,
    author VARCHAR(300) NOT NULL,
    created_at DATETIME NOT NULL,
    post_id INT NOT NULL,
    CONSTRAINT FK_posts_comments FOREIGN KEY (post_id) REFERENCES posts(id)
)
